|  | Home · All Classes · Modules

# QStyleOptionTabWidgetFrame Class Reference
[QtGui module]

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget. More...

Inherits QStyleOption.

Inherited by QStyleOptionTabWidgetFrameV2.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionTabWidgetFrame)

### Members

- QSize leftCornerWidgetSize
- int lineWidth
- int midLineWidth
- QSize rightCornerWidgetSize
- QTabBar.Shape shape
- QSize tabBarSize

## Detailed Description

The QStyleOptionTabWidgetFrame class is used to describe the parameters for drawing the frame around a tab widget.

QStyleOptionTabWidgetFrame contains all the information that QStyle functions need to draw the frame around QTabWidget.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOption and QTabWidget.

## Type Documentation

### QStyleOptionTabWidgetFrame.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrame.Type` | `SO_TabWidgetFrame` | The type of style option provided (SO_TabWidgetFrame for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionTabWidgetFrame.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionTabWidgetFrame.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionTabWidgetFrame.__init__ (self)

Constructs a QStyleOptionTabWidgetFrame, initializing the members variables to their default values.

### QStyleOptionTabWidgetFrame.__init__ (self, QStyleOptionTabWidgetFrame)

Constructs a copy of other.

## Member Documentation

### QSize leftCornerWidgetSize

This variable holds the size of the left-corner widget.

The default value is QSize(-1, -1), i.e. an invalid size.

### int lineWidth

This variable holds the line width for drawing the panel.

The default value is 0.

### int midLineWidth

This variable holds the mid-line width for drawing the panel.

The mid line width is usually used in drawing sunken or raised frames. The default value is 0.

### QSize rightCornerWidgetSize

This variable holds the size of the right-corner widget.

The default value is QSize(-1, -1), i.e. an invalid size.

### QTabBar.Shape shape

This variable holds the tab shape used to draw the tabs.

The default value is QTabBar.RoundedNorth.

### QSize tabBarSize

This variable holds the size of the tab bar.

The default value is QSize(-1, -1), i.e. an invalid size.